List Appointments
curl --request GET \
--url https://api.mijnklantportaal.nl/v1/appointments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mijnklantportaal.nl/v1/appointments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mijnklantportaal.nl/v1/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "apt_abc12346def678",
"customerId": "cst_abc12345def678",
"attendeeName": "John Doe",
"attendeeEmail": "john.doe@example.com",
"startsAt": "2025-03-05T16:00:00+02:00",
"endsAt": "2025-03-05T16:30:00+02:00",
"status": "scheduled",
"onlineMeetingLink": "https://meet.google.com/abc-123",
"createdAt": "2025-03-04T17:23:14+02:00"
}
]
}List Appointments
Getting a NON-PAGINATED list of all the appointments in the given period. The result includes all appointments, also canceled and pending once.
GET
/
appointments
List Appointments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date and time which is the start point of the appointments to list, in YYYY-mm-dd HH:ii format. Defaults to now.
Amount of days added to the start_at as range to fetch appointments for. Defaults to 7.
Response
200 - application/json
Non-paginated response with appointments
Array of Appointment objects
Show child attributes
Show child attributes
⌘I
